Get Transaction
GET
/v1/transactions/{id}RecommendedTransaction detail with nested refunds and chargebacks history.
Authentication
Signature Pattern
HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/transactions/{id}\n{sha256(\"\")}")| Header | Value | Description |
|---|---|---|
X-Api-Key | pk_live_a1b2c3d4e5f6g7h8 | Merchant public API key |
X-Signature | {hmac_sha256_hex} | Hex HMAC-SHA256 request signature |
X-Timestamp | 2026-04-13T10:00:00Z | ISO 8601 UTC request time (±5 min) |
Response Parameters
| Field | Type | Example |
|---|---|---|
id | string | "pay_1a2b3c4d5e6f" |
storeId | string | "sto_5a6b7c8d" |
status | string | "captured" |
amount | integer | 15000 |
currency | string | "TRY" |
netAmount | integer | 14551 |
commission | integer | 449 |
refunds | array | [] |
chargebacks | array | [] |
createdAt | string | "2026-04-13T10:00:00Z" |
Response Example
JSONResponse
{
"id": "pay_1a2b3c4d5e6f",
"storeId": "sto_5a6b7c8d",
"status": "captured",
"amount": 15000,
"currency": "TRY",
"netAmount": 14551,
"commission": 449,
"refunds": [],
"chargebacks": [],
"createdAt": "2026-04-13T10:00:00Z"
}Status Codes
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group